Bug 461400 - Review Request: cherokee - Flexible and Fast Webserver
Review Request: cherokee - Flexible and Fast Webserver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
: 461406 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 06:00 EDT by Pavel Lisý
Modified: 2009-06-27 11:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-09 05:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Lisý 2008-09-07 06:00:33 EDT
Spec URL: ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee.spec
SRPM URL: ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee-0.8.1-1.fc8.src.rpm
Description: 
Cherokee is a very fast, flexible and easy to configure Web Server. It supports
the widespread technologies nowadays: FastCGI, SCGI, PHP, CGI, TLS and SSL
encrypted connections, Virtual hosts, Authentication, on the fly encoding,
Apache compatible log files, and much more.

This is my first package for Fedora.
Comment 1 Jeroen van Meeuwen 2008-09-07 07:32:45 EDT
RPM Lint: The following warnings occur during rpmlint -i:

* cherokee.i386: W: non-standard-uid /var/lib/cherokee cherokee
* cherokee.i386: W: non-standard-gid /var/lib/cherokee cherokee

These are OK, rpmlint just isn't *that* smart

* cherokee.i386: W: symlink-should-be-relative /usr/sbin/rccherokee /etc/init.d/cherokee

Although the symlink should be relative, instead I'd nuke the rccherokee from /usr/sbin/ altogether, if that is possible. Suggestion: remove line 57, which says:

%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}

* cherokee.i386: W: non-conffile-in-etc /etc/pam.d/cherokee

Suggestion: make this file say %config(noreplace) in the %files section.

* cherokee.i386: W: non-standard-gid /etc/cherokee cherokee
* cherokee.i386: W: non-standard-gid /etc/cherokee/ssl cherokee
* cherokee.i386: E: non-standard-dir-perm /etc/cherokee 0750
* cherokee.i386: E: non-standard-dir-perm /etc/cherokee/ssl 0750

Suggestion: replace the following lines in the %files section:

%dir %attr(750,root,%{name}) %{_sysconfdir}/%{name}
%dir %attr(750,root,%{name}) %{_sysconfdir}/%{name}/ssl

for:

%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/ssl

as their maybe should be no certificates in /etc/cherokee/ssl to begin with, as certificates are usually intended to be in /etc/pki/%{name}

* cherokee.i386: W: log-files-without-logrotate /var/log/cherokee

Suggestion: Provide a logrotate script for cherokee logfiles.

* cherokee.i386: W: incoherent-version-in-changelog 0.8.1 0.8.1-1.fc8

Suggestion: Make the changelog at the very least use: 0.8.1-1 (nevermind the dist-tag)

* cherokee.i386: W: invalid-license GPL

Suggestion: Change License: tag to GPLv2

* cherokee.i386: W: one-line-command-in-%postun /sbin/ldconfig

%postun should also have chkconfig --del %{name}

* cherokee.i386: W: service-default-enabled /etc/init.d/cherokee

Suggestion: In the init script, make set the default runlevels, but do not enable the service by default.

Package name: OK
Spec file: OK, but please see the notes below this review item list
License: Invalid license tag GPL, from COPYING, use GPLv2
Actual License: GPLv2 (from COPYING file)
%doc License: doc files INSTALL, README, COPYING, etc, not installed. Suggest adding to the %files section:

%doc README COPYING INSTALL AUTHORS ChangeLog NEWS TODO

Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: md5sum matches
Compile and Build:
 - F-8: builds
 - F-9: builds
 - rawhide: builds
 - EL-5: builds

Applicable Package Guidelines:

Locales: OK
Shared libs: N/A (see rpmlint comments)

Relocatable: N/A
Directory and file ownership: See rpmlint comments
No duplicate files in %files: OK
File Permissions: See rpmlint comments
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: 
Static Libraries in -static package: N/A
pkgconfig Requires:
Library files: OK
Devel requires base package: OK
.la libtool archives: .la files found in /usr/lib/cherokee/. Suggest (after make install):

find %{buildroot}/%{_libdir}/%{name} -name *.la -exec rm -rf {} \;

Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

* Please do not use /var/www/htdocs, but place files in (for example) /var/www/cherokee maybe, since there's a few webservers out there now that cannot all own variations of /var/www/html, /var/www/htdocs, /var/www/public_html, etc.
Comment 2 manuel wolfshant 2008-09-07 07:42:04 EDT
*** Bug 461406 has been marked as a duplicate of this bug. ***
Comment 3 Pavel Lisý 2008-09-07 15:54:18 EDT
I have made all changes (I hope) 

new version is on similar place

ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee.spec
ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee-0.8.1-1.fc9.src.rpm

I've made logrotate config file but warning is still there. Why?

cherokee.i386: W: log-files-without-logrotate /var/log/cherokee
This package contains files in /var/log/ without adding logrotate
configuration for them.
Comment 4 Jeroen van Meeuwen 2008-09-08 04:54:05 EDT
Note that you need to bump the release number each time you change a packaging aspect of the package.

If you use the full URLs to the source RPM and spec file, it's easier for us to grab the new files; Like:

ftp://ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee.spec
ftp://ftp-hk.tmapy.cz:/pub/linux/newrpms/cherokee-0.8.1-1.fc9.src.rpm

About the logrotate message, use %{_sysconfdir}/logrotate.d/ instead of %{_sysconfdir}/logrotate/, and it'll dissappear.

Other then that, this package looks fine.
Comment 5 Pavel Lisý 2008-09-09 14:58:00 EDT
Thanks for comments. I hope this will be last one.

ftp://ftp-hk.tmapy.cz/pub/linux/newrpms/cherokee.spec
ftp://ftp-hk.tmapy.cz/pub/linux/newrpms/cherokee-0.8.1-2.fc9.src.rpm
Comment 6 Rakesh Pandit 2008-09-09 15:14:26 EDT
* Sun Sep 07 2008 Pavel Lisy <pavel.lisy@gmail.com> - 0.8.1-2
- corrections in spec

Just one suggestion:
here you should mention what corrections you made.
Thanks
Comment 7 Pavel Lisý 2008-09-18 09:27:28 EDT
New Package CVS Request
=======================
Package Name: cherokee
Short Description: Flexible and Fast Webserver
Owners: pali
Branches: F-9 F-10 EL-4 EL-5
Comment 8 Kevin Fenzi 2008-09-18 13:07:43 EDT
Kanarip: If you approve the package review, can you set the fedora-review flag to +? Clearing the cvs flag until the package is approved, please reset it after approval.
Comment 9 Pavel Lisý 2008-09-18 17:40:21 EDT
I hope I have understood your advice. If not be peasant with me please. I am new in this process.
Comment 10 Jeroen van Meeuwen 2008-09-20 20:29:58 EDT
Clearing flags which are supposed to be set by the reviewer (fedora-review), or by the requester once the reviewer has set the fedora-review flag to +.
Comment 11 Jeroen van Meeuwen 2008-09-20 20:52:03 EDT
Suggested items have been fixed.

Scratch builds in koji succeed: http://koji.fedoraproject.org/koji/taskinfo?taskID=834445

Only the non-standard-{uid,gid} warnings in rpmlint remain.

Package APPROVED.
Comment 12 Kevin Fenzi 2008-09-20 20:55:00 EDT
cvs done.
Comment 13 Jeroen van Meeuwen 2008-10-16 19:45:03 EDT
Pavel, anything happening here?
Comment 14 Jeroen van Meeuwen 2008-10-26 18:40:08 EDT
Ping
Comment 15 Pavel Lisý 2008-10-27 05:50:43 EDT
I wrote directly to your email. Did you receive it? 

Now I am little bit further. I have made first CVS commits to every branches but I am now sure what to do next. 

Do I have to add package to Bodhi or this is only for updates? 

How can I add package to "comps" files? Is it relevant yet?
Comment 16 Jeroen van Meeuwen 2008-10-27 20:10:24 EDT
Sorry, I've not seen the private email...

You should navigate to the appropriate branches of the CVS checkout on your local system and issue a make build.
Comment 17 Jeroen van Meeuwen 2008-10-27 20:11:55 EDT
I was too soon pressing 'commit';

after successful builds for F-8 and/or F-9, go to http://admin.fedoraproject.org/updates/, login and create a new update using the build tags shown at http://koji.fedoraproject.org/koji (login and view Summary for your latest builds)
Comment 18 Pavel Lisý 2008-11-03 06:33:40 EST
I've added package to F-9 testing (by Bodhi) and to EPEL4/5 by CVS make and I've edited comps by CVS. 
What I have to do next? Or is it done already?

How can I push them to stable? 
Is it my job or this process is independent on me?
Comment 19 Jeroen van Meeuwen 2008-11-09 05:21:43 EST
This package has been pushed to updates, closing bug.

Pavel, if you push a package to updates, and include the bug number, bodhi can automagically close the bug.

Note You need to log in before you can comment on or make changes to this bug.